Bug 1290460 - extended partition incorrectly marked as free
extended partition incorrectly marked as free
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cockpit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marius Vollmer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 10:17 EST by Marian Csontos
Modified: 2016-12-15 04:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-15 04:05:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of disk details. (87.23 KB, image/png)
2015-12-10 10:17 EST, Marian Csontos
no flags Details

  None (edit)
Description Marian Csontos 2015-12-10 10:17:16 EST
Created attachment 1104381 [details]
screenshot of disk details.

Description of problem:
I have an extended partition /dev/vda4 containing 2 partitions vda5 and vda6.
Cockpit displays 5GB free and a format option. I freaked out and have not tried to re-format the occupied area.

Version-Release number of selected component (if applicable):
cockpit-0.83-1.fc23.x86_64

How reproducible:
1/1

Steps to Reproduce:
1. create occupied extended partition 
2. display disks details

Actual results:
Occupied area in /dev/vda4 is incorrectly counted as free. Format action is enabled.

Expected results:
Display correct free space in extended partition. Only "New partition" action should be enabled if there is free space.

Additional info:

[root@localhost git-docker]# lsblk
NAME                                    MAJ:MIN RM  SIZE RO TYPE MOUNTPOINT
vda                                     252:0    0   10G  0 disk 
├─vda1                                  252:1    0  512M  0 part /boot
├─vda2                                  252:2    0    4G  0 part /
├─vda3                                  252:3    0  512M  0 part [SWAP]
├─vda4                                  252:4    0    1K  0 part 
├─vda5                                  252:5    0    2G  0 part /var
└─vda6                                  252:6    0    3G  0 part /var/lib/docker

[root@localhost git-docker]# fdisk /dev/vda

Welcome to fdisk (util-linux 2.27.1).
Changes will remain in memory only, until you decide to write them.
Be careful before using the write command.


Command (m for help): p
Disk /dev/vda: 10 GiB, 10737418240 bytes, 20971520 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x09427b48

Device     Boot    Start      End  Sectors  Size Id Type
/dev/vda1  *        2048  1050623  1048576  512M 83 Linux
/dev/vda2        1050624  9439231  8388608    4G 83 Linux
/dev/vda3        9439232 10487807  1048576  512M 82 Linux swap / Solaris
/dev/vda4       10487808 20971519 10483712    5G  5 Extended
/dev/vda5       10489856 14684159  4194304    2G 83 Linux
/dev/vda6       14686208 20971519  6285312    3G 83 Linux
Comment 1 Marius Vollmer 2015-12-14 07:57:49 EST
This looks serious.

I haven't had time yet to reproduce this.  Could you help by attaching the output of these commands?

 # storagedctl dump
 # udevadm info /dev/vda4
 # udevadm info /dev/vda5
 # udevadm info /dev/vda6

Thanks!
Comment 2 Marius Vollmer 2016-08-04 06:33:28 EDT
This is actually easily reproducible with current versions of Cockpit and Storaged.
Comment 3 Marius Vollmer 2016-08-04 08:19:29 EDT
Fixed here:

    https://github.com/cockpit-project/cockpit/pull/4823

Cockpit was pretty broken re extended partitions.  Sorry about that.
Comment 4 Fedora End Of Life 2016-11-24 09:08:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Dominik Perpeet 2016-12-15 04:05:03 EST
The fix was released as part of Cockpit 0.117

Note You need to log in before you can comment on or make changes to this bug.